Name:           min-metadata-service
Version:        2014.3
Release:        4%{?dist}
Summary:        Minimal client implementation of EC2/OpenStack metadata API
Group:          System Environment/Base
License:        LGPLv2+
URL:            https://github.com/cgwalters/min-metadata-service
#VCS:		https://github.com/cgwalters/min-metadata-service
# This tarball is generated via "make -f Makefile.dist-packaging dist-snapshot"
Source0:        %{name}-%{version}.tar.xz
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libgsystem)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(systemd)
Requires:      systemd
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Client implementation of a small subset of the metadata service API.
At present, only SSH key provisioning is implemented.

%prep
%setup -q

%build
env NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post
%systemd_post min-metadata.service

%preun
%systemd_preun min-metadata.service

%files
%doc COPYING
%{_libexecdir}/min-metadata-service
%{_prefix}/lib/systemd/system/min-metadata.service

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Colin Walters <walters@verbum.org> - 2014.3-1
- Initial packaging

